#
# spec file for package xvfb-run
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xvfb-run
Version:        1.5.2
Release:        bp153.1.18
Summary:        Script to run a virtualized X-Server
License:        GPL-2.0
Group:          System/X11/Utilities
Url:            https://packages.debian.org/de/sid/xvfb
Source0:        http://svn.exactcode.de/t2/trunk/package/xorg/xorg-server/xvfb-run.sh
Source1:        http://manpages.ubuntu.com/manpages.gz/intrepid/man1/xvfb-run.1.gz
# PATCH-FIX-OPENSUSE https://bugzilla.redhat.com/show_bug.cgi?id=508739#c6
Patch0:         xvfb-run-mktemp.patch
Requires:       coreutils
Requires:       util-linux
Requires:       xorg-x11-xauth
Requires:       xorg-x11-server
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This script starts an instance of Xvfb, the "fake" X server, runs a command
with that server available, and kills the X server when done. The return
value of the command becomes the return value of this script.

%prep
cp %{SOURCE0} .
%patch0 -p0

%build

%install
install -p -D %{_builddir}/xvfb-run.sh %{buildroot}%{_bindir}/xvfb-run
chmod 755 %{buildroot}%{_bindir}/xvfb-run

mkdir -p %{buildroot}%{_mandir}/man1/
cp %{SOURCE1} %{buildroot}%{_mandir}/man1/xvfb-run.1.gz

%files
%defattr(-,root,root,-)
%{_bindir}/xvfb-run
%{_mandir}/*/xvfb-run.1.gz

%changelog
* Tue Jul  5 2016 toddrme2178@gmail.com
- Fix Group tag.
* Thu May 29 2014 mailaender@opensuse.org
- packaging for SUSE
